diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/CollectionExportMapping.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/CollectionExportMapping.java
index 8c0ddcca37..47141173c2 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/CollectionExportMapping.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/CollectionExportMapping.java
@@ -1,149 +1,150 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.cdm.io.common.mapping.out;
-
-import java.sql.SQLException;
-import java.util.ArrayList;
-import java.util.Collection;
-import java.util.List;
-
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
-
-import eu.etaxonomy.cdm.io.common.DbExportConfiguratorBase;
-import eu.etaxonomy.cdm.io.common.DbExportStateBase;
-import eu.etaxonomy.cdm.io.common.ImportHelper;
-import eu.etaxonomy.cdm.io.common.Source;
-import eu.etaxonomy.cdm.io.common.mapping.CdmAttributeMapperBase;
-import eu.etaxonomy.cdm.io.common.mapping.CdmMapperBase;
-import eu.etaxonomy.cdm.model.common.CdmBase;
-
-/**
- * @author a.mueller
- * @since 12.05.2009
- */
-public class CollectionExportMapping<STATE extends DbExportStateBase<CONFIG, TRANSFORM>, CONFIG extends DbExportConfiguratorBase<STATE, TRANSFORM, Source>, TRANSFORM extends IExportTransformer>
-        extends CdmDbExportMapping<STATE, CONFIG, TRANSFORM> {
-
-    private static final Logger logger = LogManager.getLogger(CollectionExportMapping.class);
-
-	private IdMapper parentMapper;
-	private DbSequenceMapper sequenceMapper;
-	private String collectionAttributeName;
-	private List<DbSimpleFilterMapper> filterMapper = new ArrayList<DbSimpleFilterMapper>() ;
-
-	public static CollectionExportMapping NewInstance(String tableName, String collectionAttributeName, IdMapper parentMapper){
-		return new CollectionExportMapping(tableName, collectionAttributeName, parentMapper, null);
-	}
-
-	public static CollectionExportMapping NewInstance(String tableName, String collectionAttributeName, IdMapper parentMapper, String seqenceAttribute){
-		return NewInstance(tableName, collectionAttributeName, parentMapper, seqenceAttribute, 0);
-	}
-
-	public static CollectionExportMapping NewInstance(String tableName, String collectionAttributeName, IdMapper parentMapper, String seqenceAttribute, int sequenceStart){
-		DbSequenceMapper sequenceMapper = DbSequenceMapper.NewInstance(seqenceAttribute, sequenceStart);
-		CollectionExportMapping result = new CollectionExportMapping(tableName, collectionAttributeName, parentMapper, sequenceMapper);
-		return result;
-	}
-
-
-	@Override
-	public void addMapper(CdmAttributeMapperBase mapper) {
-		if (mapper instanceof DbSimpleFilterMapper){
-			DbSimpleFilterMapper filterMapper = (DbSimpleFilterMapper)mapper;
-			this.filterMapper.add(filterMapper);
-		}else{
-			super.addMapper(mapper);
-		}
-	}
-
-	private CollectionExportMapping(String tableName, String collectionAttributeName, IdMapper parentMapper, DbSequenceMapper sequenceMapper){
-		super(tableName);
-		this.parentMapper = parentMapper;
-		this.addMapper(parentMapper);
-		this.sequenceMapper = sequenceMapper;
-		this.addMapper(sequenceMapper);
-		this.collectionAttributeName = collectionAttributeName;
-	}
-
-
-	@Override
-	public boolean invoke(CdmBase parent) {
-		boolean result = true;
-		Collection<CdmBase> collection = getCollection(parent);
-		if (this.sequenceMapper != null){
-			this.sequenceMapper.reset();
-		}
-		for(CdmBase collectionObject : collection){
-		    try {
-				if (collectionObject == null){
-					logger.warn("Collection object was null");
-					result = false;
-					continue;
-				}
-				if (isFiltered(collectionObject)){
-					continue;
-				}
-				for (CdmMapperBase mapper : this.mapperList){
-					result &= handleSingleMapper(parent, collectionObject, mapper);
-				}
-				int count = getPreparedStatement().executeUpdate();
-				if (logger.isDebugEnabled()) {
-                    logger.debug("Number of rows affected: " + count);
-                }
-			} catch(SQLException e){
-                e.printStackTrace();
-                logger.error(e.getMessage() + ": " + parent.toString());
-                result = false;
-            }
-		}
-		return result;
-	}
-
-    private boolean handleSingleMapper(CdmBase parent, CdmBase collectionObject, CdmMapperBase mapper)
-            throws SQLException {
-
-        boolean result = true;
-        if (mapper == this.parentMapper){
-        	parentMapper.invoke(parent);
-        }else if (mapper == this.sequenceMapper){
-        	this.sequenceMapper.invoke(null);
-        }else if (mapper instanceof IDbExportMapper){
-        	IDbExportMapper<DbExportStateBase<?, TRANSFORM>, TRANSFORM> dbMapper = (IDbExportMapper)mapper;
-        	try {
-        		result &= dbMapper.invoke(collectionObject);
-        	} catch (Exception e) {
-        		result = false;
-        		logger.error("Error occurred in mapping.invoke");
-        		e.printStackTrace();
-        		return result;
-        	}
-        }else{
-        	logger.warn("mapper is not of type " + IDbExportMapper.class.getSimpleName());
-        }
-        return result;
-    }
-
-	private boolean isFiltered(CdmBase cdmBase) throws SQLException {
-		for (DbSimpleFilterMapper filterMapper : this.filterMapper){
-			boolean result = filterMapper.doInvoke(cdmBase);
-			if (result == true){
-				return true;
-			}
-		}
-		return false;
-	}
-
-	private Collection<CdmBase> getCollection(CdmBase cdmBase){
-		Object result = ImportHelper.getValue(cdmBase, collectionAttributeName, false, true);
-		return (Collection<CdmBase>)result;
-	}
-
-
-}
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.io.common.mapping.out;
+
+import java.sql.SQLException;
+import java.util.ArrayList;
+import java.util.Collection;
+import java.util.List;
+
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+import eu.etaxonomy.cdm.io.common.DbExportConfiguratorBase;
+import eu.etaxonomy.cdm.io.common.DbExportStateBase;
+import eu.etaxonomy.cdm.io.common.ImportHelper;
+import eu.etaxonomy.cdm.io.common.Source;
+import eu.etaxonomy.cdm.io.common.mapping.CdmAttributeMapperBase;
+import eu.etaxonomy.cdm.io.common.mapping.CdmMapperBase;
+import eu.etaxonomy.cdm.model.common.CdmBase;
+
+/**
+ * @author a.mueller
+ * @since 12.05.2009
+ */
+public class CollectionExportMapping<STATE extends DbExportStateBase<CONFIG, TRANSFORM>, CONFIG extends DbExportConfiguratorBase<STATE, TRANSFORM, Source>, TRANSFORM extends IExportTransformer>
+        extends CdmDbExportMapping<STATE, CONFIG, TRANSFORM> {
+
+    private static final Logger logger = LogManager.getLogger();
+
+	private IdMapper parentMapper;
+	private DbSequenceMapper sequenceMapper;
+	private String collectionAttributeName;
+	private List<DbSimpleFilterMapper> filterMapper = new ArrayList<>() ;
+
+	public static CollectionExportMapping NewInstance(String tableName, String collectionAttributeName, IdMapper parentMapper){
+		return new CollectionExportMapping(tableName, collectionAttributeName, parentMapper, null);
+	}
+
+	public static CollectionExportMapping NewInstance(String tableName, String collectionAttributeName, IdMapper parentMapper, String seqenceAttribute){
+		return NewInstance(tableName, collectionAttributeName, parentMapper, seqenceAttribute, 0);
+	}
+
+	public static CollectionExportMapping NewInstance(String tableName, String collectionAttributeName, IdMapper parentMapper, String seqenceAttribute, int sequenceStart){
+		DbSequenceMapper sequenceMapper = DbSequenceMapper.NewInstance(seqenceAttribute, sequenceStart);
+		CollectionExportMapping result = new CollectionExportMapping(tableName, collectionAttributeName, parentMapper, sequenceMapper);
+		return result;
+	}
+
+
+	@Override
+	public void addMapper(CdmAttributeMapperBase mapper) {
+		if (mapper instanceof DbSimpleFilterMapper){
+			DbSimpleFilterMapper filterMapper = (DbSimpleFilterMapper)mapper;
+			this.filterMapper.add(filterMapper);
+		}else{
+			super.addMapper(mapper);
+		}
+	}
+
+	private CollectionExportMapping(String tableName, String collectionAttributeName, IdMapper parentMapper, DbSequenceMapper sequenceMapper){
+		super(tableName);
+		this.parentMapper = parentMapper;
+		this.addMapper(parentMapper);
+		this.sequenceMapper = sequenceMapper;
+		this.addMapper(sequenceMapper);
+		this.collectionAttributeName = collectionAttributeName;
+	}
+
+
+	@Override
+	public boolean invoke(CdmBase parent) {
+		boolean result = true;
+		Collection<CdmBase> collection = getCollection(parent);
+		if (this.sequenceMapper != null){
+			this.sequenceMapper.reset();
+		}
+		for(CdmBase collectionObject : collection){
+		    try {
+				if (collectionObject == null){
+					logger.warn("Collection object was null");
+					result = false;
+					continue;
+				}
+				if (isFiltered(collectionObject)){
+					continue;
+				}
+				for (CdmMapperBase mapper : this.mapperList){
+					result &= handleSingleMapper(parent, collectionObject, mapper);
+				}
+				int count = getPreparedStatement().executeUpdate();
+				if (logger.isDebugEnabled()) {
+                    logger.debug("Number of rows affected: " + count);
+                }
+			} catch(SQLException e){
+                e.printStackTrace();
+                logger.error(e.getMessage() + ": " + parent.toString());
+                result = false;
+            }
+		}
+		return result;
+	}
+
+    private boolean handleSingleMapper(CdmBase parent, CdmBase collectionObject, CdmMapperBase mapper)
+            throws SQLException {
+
+        boolean result = true;
+        if (mapper == this.parentMapper){
+        	parentMapper.invoke(parent);
+        }else if (mapper == this.sequenceMapper){
+        	this.sequenceMapper.invoke(null);
+        }else if (mapper instanceof IDbExportMapper){
+        	IDbExportMapper<DbExportStateBase<?, TRANSFORM>, TRANSFORM> dbMapper = (IDbExportMapper)mapper;
+        	try {
+        		result &= dbMapper.invoke(collectionObject);
+        	} catch (Exception e) {
+        		result = false;
+        		logger.error("Error occurred in mapping.invoke");
+        		e.printStackTrace();
+        		return result;
+        	}
+        }else{
+        	logger.warn("mapper is not of type " + IDbExportMapper.class.getSimpleName());
+        }
+        return result;
+    }
+
+	private boolean isFiltered(CdmBase cdmBase) throws SQLException {
+		for (DbSimpleFilterMapper filterMapper : this.filterMapper){
+			boolean result = filterMapper.doInvoke(cdmBase);
+			if (result == true){
+				return true;
+			}
+		}
+		return false;
+	}
+
+	private Collection<CdmBase> getCollection(CdmBase cdmBase){
+		Object result = ImportHelper.getValue(cdmBase, collectionAttributeName, false, true);
+		return (Collection<CdmBase>)result;
+	}
+
+
+}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/CreatedAndNotesMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/CreatedAndNotesMapper.java
index 395239a414..e27b4d412d 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/CreatedAndNotesMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/CreatedAndNotesMapper.java
@@ -1,94 +1,97 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
-* http://www.e-taxonomy.eu
-* 
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.cdm.io.common.mapping.out;
-
-import java.sql.PreparedStatement;
-import java.sql.SQLException;
-
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
-
-import eu.etaxonomy.cdm.common.CdmUtils;
-import eu.etaxonomy.cdm.io.common.DbExportStateBase;
-import eu.etaxonomy.cdm.io.common.mapping.MultipleAttributeMapperBase;
-import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
-import eu.etaxonomy.cdm.model.common.Annotation;
-import eu.etaxonomy.cdm.model.common.AnnotationType;
-import eu.etaxonomy.cdm.model.common.CdmBase;
-
-/**
- * @author a.mueller
- * @since 12.05.2009
- * @version 1.0
- */
-public class CreatedAndNotesMapper extends MultipleAttributeMapperBase<DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>>> implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer>{
-	@SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(CreatedAndNotesMapper.class);
-	
-	public static CreatedAndNotesMapper NewInstance(){
-		return new CreatedAndNotesMapper(true);
-	}
-	
-	public static CreatedAndNotesMapper NewInstance(boolean withUpdate){
-		return new CreatedAndNotesMapper(withUpdate);
-	}
-
-	
-	/**
-	 * @param dbAttributString
-	 * @param cdmAttributeString
-	 */
-	private CreatedAndNotesMapper(boolean withUpdate) {
-		singleMappers.add(DbUserMapper.NewInstance("createdBy", "Created_Who"));
-		singleMappers.add(DbDateMapper.NewInstance("created", "Created_When"));
-		singleMappers.add(MethodMapper.NewInstance("Notes", this.getClass(), "getNotes", AnnotatableEntity.class));
-		if (withUpdate){
-			singleMappers.add(DbUserMapper.NewInstance("updatedBy", "Updated_Who"));
-			singleMappers.add(DbDateMapper.NewInstance("updated", "Updated_When"));
-		}
-	}
-
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.berlinModel.out.mapper.IDbExportMapper#initialize(java.sql.PreparedStatement, eu.etaxonomy.cdm.io.berlinModel.out.mapper.IndexCounter, eu.etaxonomy.cdm.io.berlinModel.out.DbExportState)
-	 */
-	public void initialize(PreparedStatement stmt, IndexCounter index, DbExportStateBase<?, IExportTransformer> state, String tableName) {
-		for (DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> mapper : singleMappers){
-			mapper.initialize(stmt, index, state, tableName);
-		}	
-	}
-
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.berlinModel.out.mapper.IDbExportMapper#invoke(eu.etaxonomy.cdm.model.common.CdmBase)
-	 */
-	public boolean invoke(CdmBase cdmBase) throws SQLException {
-		boolean result = true;
-		for (DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> mapper : singleMappers){
-			result &= mapper.invoke(cdmBase);
-		}
-		return result;
-	}
-	
-	//used by MethodMapper
-	@SuppressWarnings("unused")
-	private static String getNotes(AnnotatableEntity obj){
-		String result = "";
-		String separator = ";";
-		for (Annotation annotation :obj.getAnnotations()){
-			if (! AnnotationType.TECHNICAL().equals(annotation.getAnnotationType())){
-				if (! ( annotation.getText() != null && annotation.getText().startsWith("ORDER:"))){  //TODO casus Salvador, should be stored in Extension ones extensions are also for annotatable entities
-					result = CdmUtils.concat(separator, result, annotation.getText());
-				}
-			}
-		}
-		return (result.trim().equals("")? null : result);
-	}
-	
-}
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.io.common.mapping.out;
+
+import java.sql.PreparedStatement;
+import java.sql.SQLException;
+
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+import eu.etaxonomy.cdm.common.CdmUtils;
+import eu.etaxonomy.cdm.io.common.DbExportStateBase;
+import eu.etaxonomy.cdm.io.common.mapping.MultipleAttributeMapperBase;
+import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
+import eu.etaxonomy.cdm.model.common.Annotation;
+import eu.etaxonomy.cdm.model.common.AnnotationType;
+import eu.etaxonomy.cdm.model.common.CdmBase;
+
+/**
+ * @author a.mueller
+ * @since 12.05.2009
+ */
+public class CreatedAndNotesMapper extends MultipleAttributeMapperBase<DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>>> implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer>{
+
+    @SuppressWarnings("unused")
+	private static final Logger logger = LogManager.getLogger();
+
+	public static CreatedAndNotesMapper NewInstance(){
+		return new CreatedAndNotesMapper(true);
+	}
+
+	public static CreatedAndNotesMapper NewInstance(boolean withUpdate){
+		return new CreatedAndNotesMapper(withUpdate);
+	}
+
+
+	/**
+	 * @param dbAttributString
+	 * @param cdmAttributeString
+	 */
+	private CreatedAndNotesMapper(boolean withUpdate) {
+		singleMappers.add(DbUserMapper.NewInstance("createdBy", "Created_Who"));
+		singleMappers.add(DbDateMapper.NewInstance("created", "Created_When"));
+		singleMappers.add(MethodMapper.NewInstance("Notes", this.getClass(), "getNotes", AnnotatableEntity.class));
+		if (withUpdate){
+			singleMappers.add(DbUserMapper.NewInstance("updatedBy", "Updated_Who"));
+			singleMappers.add(DbDateMapper.NewInstance("updated", "Updated_When"));
+		}
+	}
+
+
+	/* (non-Javadoc)
+	 * @see eu.etaxonomy.cdm.io.berlinModel.out.mapper.IDbExportMapper#initialize(java.sql.PreparedStatement, eu.etaxonomy.cdm.io.berlinModel.out.mapper.IndexCounter, eu.etaxonomy.cdm.io.berlinModel.out.DbExportState)
+	 */
+	@Override
+    public void initialize(PreparedStatement stmt, IndexCounter index, DbExportStateBase<?, IExportTransformer> state, String tableName) {
+		for (DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> mapper : singleMappers){
+			mapper.initialize(stmt, index, state, tableName);
+		}
+	}
+
+
+	/* (non-Javadoc)
+	 * @see eu.etaxonomy.cdm.io.berlinModel.out.mapper.IDbExportMapper#invoke(eu.etaxonomy.cdm.model.common.CdmBase)
+	 */
+	@Override
+    public boolean invoke(CdmBase cdmBase) throws SQLException {
+		boolean result = true;
+		for (DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> mapper : singleMappers){
+			result &= mapper.invoke(cdmBase);
+		}
+		return result;
+	}
+
+	//used by MethodMapper
+	@SuppressWarnings("unused")
+	private static String getNotes(AnnotatableEntity obj){
+		String result = "";
+		String separator = ";";
+		for (Annotation annotation :obj.getAnnotations()){
+			if (! AnnotationType.TECHNICAL().equals(annotation.getAnnotationType())){
+				if (! ( annotation.getText() != null && annotation.getText().startsWith("ORDER:"))){  //TODO casus Salvador, should be stored in Extension ones extensions are also for annotatable entities
+					result = CdmUtils.concat(separator, result, annotation.getText());
+				}
+			}
+		}
+		return (result.trim().equals("")? null : result);
+	}
+
+}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbAnnotationMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbAnnotationMapper.java
index e22c8da2b0..f6b735835b 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbAnnotationMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbAnnotationMapper.java
@@ -14,7 +14,8 @@ import java.util.Collection;
 import java.util.HashSet;
 import java.util.UUID;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
@@ -34,7 +35,7 @@ public class DbAnnotationMapper
             extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>>{
 
     @SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbAnnotationMapper.class);
+	private static final Logger logger = LogManager.getLogger();
 
 	private final String annotationPrefix;
 	private String separator = ";";
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbAreaMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbAreaMapper.java
index fb0d6ae49e..c2fa6fe69a 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbAreaMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbAreaMapper.java
@@ -12,7 +12,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 import java.lang.reflect.Method;
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
@@ -24,7 +25,8 @@ import eu.etaxonomy.cdm.model.location.NamedArea;
  * @since 06.02.2012
  */
 public class DbAreaMapper extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer>{
-	private static final Logger logger = LogManager.getLogger(DbAreaMapper.class);
+
+    private static final Logger logger = LogManager.getLogger();
 
 	private Method method;
 	private boolean isCache;
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbBooleanMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbBooleanMapper.java
index b5846724d1..7350702f1e 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbBooleanMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbBooleanMapper.java
@@ -11,7 +11,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 
 /**
@@ -25,7 +26,7 @@ public class DbBooleanMapper
         implements IDbExportMapper {
 
     @SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbBooleanMapper.class);
+	private static final Logger logger = LogManager.getLogger();
 
 	public static DbBooleanMapper NewInstance(String cdmAttributeString, String dbAttributeString){
 		return new DbBooleanMapper(cdmAttributeString, dbAttributeString, null, false);
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbClobMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbClobMapper.java
index c44d30afeb..ac9d55c717 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbClobMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbClobMapper.java
@@ -11,18 +11,19 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
 
 /**
  * @author a.mueller
  * @since 12.05.2009
- * @version 1.0
  */
 public class DbClobMapper extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer> {
-	@SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbClobMapper.class);
+
+    @SuppressWarnings("unused")
+	private static final Logger logger = LogManager.getLogger();
 
 	public static DbClobMapper NewInstance(String cdmAttributeString, String dbAttributeString){
 		return new DbClobMapper(cdmAttributeString, dbAttributeString, null);
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbConstantMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbConstantMapper.java
index c32b3a0e05..2f7e197a03 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbConstantMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbConstantMapper.java
@@ -1,58 +1,59 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.cdm.io.common.mapping.out;
-
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
-
-import eu.etaxonomy.cdm.io.common.DbExportStateBase;
-import eu.etaxonomy.cdm.model.common.CdmBase;
-
-/**
- * Maps to a constant value.
- *
- * TODO deduplicate with {@link DbFixedIntegerMapper} and {@link DbFixedStringMapper}.
- *
- * @author a.mueller
- * @since 12.05.2009
- */
-public class DbConstantMapper
-        extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>>{
-
-	@SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbConstantMapper.class);
-
-	private int sqlType;
-	private Object value;
-
-	public static DbConstantMapper NewInstance(String dbIdAttributeString, int sqlType, Object value){
-		return new DbConstantMapper(dbIdAttributeString, sqlType, value);
-	}
-
-	protected DbConstantMapper(String dbAttributeString, int sqlType, Object value) {
-		super(null, dbAttributeString, null);
-		this.sqlType = sqlType;
-		this.value = value;
-	}
-
-	@Override
-	public Class<?> getTypeClass() {
-		return Integer.class;
-	}
-
-	@Override
-	protected Object getValue(CdmBase cdmBase) {
-		return value;
-	}
-
-	@Override
-	protected int getSqlType() {
-		return this.sqlType;
-	}
-}
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.io.common.mapping.out;
+
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+import eu.etaxonomy.cdm.io.common.DbExportStateBase;
+import eu.etaxonomy.cdm.model.common.CdmBase;
+
+/**
+ * Maps to a constant value.
+ *
+ * TODO deduplicate with {@link DbFixedIntegerMapper} and {@link DbFixedStringMapper}.
+ *
+ * @author a.mueller
+ * @since 12.05.2009
+ */
+public class DbConstantMapper
+        extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>>{
+
+	@SuppressWarnings("unused")
+	private static final Logger logger = LogManager.getLogger();
+
+	private int sqlType;
+	private Object value;
+
+	public static DbConstantMapper NewInstance(String dbIdAttributeString, int sqlType, Object value){
+		return new DbConstantMapper(dbIdAttributeString, sqlType, value);
+	}
+
+	protected DbConstantMapper(String dbAttributeString, int sqlType, Object value) {
+		super(null, dbAttributeString, null);
+		this.sqlType = sqlType;
+		this.value = value;
+	}
+
+	@Override
+	public Class<?> getTypeClass() {
+		return Integer.class;
+	}
+
+	@Override
+	protected Object getValue(CdmBase cdmBase) {
+		return value;
+	}
+
+	@Override
+	protected int getSqlType() {
+		return this.sqlType;
+	}
+}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDateMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDateMapper.java
index 688273c523..1f694faa66 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDateMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDateMapper.java
@@ -11,7 +11,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 import org.joda.time.DateTime;
 
 /**
@@ -21,7 +22,7 @@ import org.joda.time.DateTime;
 public class DbDateMapper extends DbSingleAttributeExportMapperBase implements IDbExportMapper {
 
 	@SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbStringMapper.class);
+	private static final Logger logger = LogManager.getLogger();
 
 	public static DbDateMapper NewInstance(String cdmAttributeString, String dbAttributeString){
 		return new DbDateMapper(cdmAttributeString, dbAttributeString, null);
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDescriptionElementTaxonMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDescriptionElementTaxonMapper.java
index 23868f6bbd..08ee6f8003 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDescriptionElementTaxonMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDescriptionElementTaxonMapper.java
@@ -11,7 +11,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
@@ -27,8 +28,9 @@ import eu.etaxonomy.cdm.model.taxon.Taxon;
  * @since 12.05.2009
  */
 public class DbDescriptionElementTaxonMapper extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer>{
-	@SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbDescriptionElementTaxonMapper.class);
+
+    @SuppressWarnings("unused")
+	private static final Logger logger = LogManager.getLogger();
 
 	private boolean isCache = false;
 	private boolean cacheIsNameTitleCache = false;
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDistributionStatusMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDistributionStatusMapper.java
index ff66860cb8..adcbeb80b2 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDistributionStatusMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDistributionStatusMapper.java
@@ -11,7 +11,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
 import eu.etaxonomy.cdm.io.common.mapping.UndefinedTransformerMethodException;
@@ -26,8 +27,9 @@ import eu.etaxonomy.cdm.model.description.PresenceAbsenceTerm;
  * @since 06.02.2012
  */
 public class DbDistributionStatusMapper extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer>{
-	@SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbDistributionStatusMapper.class);
+
+    @SuppressWarnings("unused")
+	private static final Logger logger = LogManager.getLogger();
 
 	private boolean isCache = false;
 
